当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 有个软件依存关系的问题请教
帖子发表于 : 2009-09-06 10:19 

注册: 2008-11-01 23:08
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
问题:
想安装一些软件,但是命令下去之后,提示:E: 无法获得锁 /var/lib/dpkg/lock - open (11 资源临时不可用)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?

另外,更新管理器提示有:libcurl3的软件更新。
点击安装更新,提示已有一个synaptic正在运行。

并且,在我的新得立软件包里头有个adobe-flashplugin的软件包是已经损坏的。
这个软件包和libcurl3有依赖关系。

我的理解:
adobe-flashplugin由于和libcurl3有依赖关系,而libcurl3没有安装,所以,adobe-flashplugin安装损坏。
现在提示要安装libcurl3,但是由于adobe-flashplugin安装的损坏,且好像是更新正在被占用,所以,我的libcurl3也装不上。

我想向各位老鸟请教,谢谢。 :em11


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 有个软件依存关系的问题请教
帖子发表于 : 2009-09-06 10:21 

注册: 2008-11-01 23:08
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
补充:我想问一下,怎么能够将已经损坏的adobe-****安装好,
并且能够继续安装其他软件。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译